> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Deployments

> List of all deployments associated with an agent.



## OpenAPI

````yaml /latest.yml GET /agents/{agent_id}/deployments
openapi: 3.0.1
info:
  title: Cartesia API
  version: 0.0.1
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /agents/{agent_id}/deployments:
    get:
      tags:
        - Agents
      summary: List Deployments
      description: List of all deployments associated with an agent.
      operationId: agents_list-deployments
      parameters:
        - $ref: '#/components/parameters/CartesiaVersionHeader'
        - name: agent_id
          in: path
          description: The ID of the agent.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Deployment'
      security:
        - APIKeyAuth: []
components:
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2026-03-01'
        enum:
          - '2026-03-01'
  schemas:
    Deployment:
      title: Deployment
      type: object
      properties:
        id:
          type: string
          description: The unique identifier for the deployment.
        agent_id:
          type: string
          description: The ID of the agent associated with this deployment.
        version_id:
          type: string
          description: The ID of the agent version associated with this deployment.
        status:
          type: string
          description: >-
            The current status of the deployment. It can be `queued`,
            `inactive`, `deploy_error`, `skipped`, `build_error`, `building`,
            `built`, `deploying`, or `deployed`.
        is_pinned:
          type: boolean
          description: >-
            Marks that this deployment is the active deployment for its
            associated `agent_id`. Only one deployment per agent can be pinned
            at a time. Deployments can be pinned even if they are not live or
            failed.
        is_live:
          type: boolean
          description: >-
            True if this deployment is the live production deployment for its
            associated `agent_id`. Only one deployment per agent can be live at
            a time.
        env_var_collection_id:
          type: string
          nullable: true
          description: >-
            The ID of the environment variable collection associated with this
            deployment.
        source_code_file_id:
          type: string
          nullable: true
          description: The ID of the source code file associated with this deployment.
        git_commit_hash:
          type: string
          nullable: true
          description: The commit hash of the Git repository for this deployment.
        created_at:
          type: string
          format: date-time
          description: The UTC timestamp when the deployment was created.
        updated_at:
          type: string
          format: date-time
          description: The UTC timestamp when the deployment was last updated.
        build_completed_at:
          type: string
          format: date-time
          nullable: true
          description: The UTC timestamp when the build was completed.
        build_error:
          type: string
          nullable: true
          description: Any error that occurred during the build process.
        build_logs:
          type: string
          nullable: true
          description: Logs generated during the build process of the deployment.
        build_started_at:
          type: string
          format: date-time
          nullable: true
          description: The UTC timestamp when the build process started.
        deployment_started_at:
          type: string
          format: date-time
          nullable: true
          description: The UTC timestamp when the deployment process started.
        deployment_completed_at:
          type: string
          format: date-time
          nullable: true
          description: The UTC timestamp when the deployment process was completed.
        deployment_error:
          type: string
          nullable: true
          description: Any error that occurred during the deployment process.
        region:
          type: string
          description: The region where the deployment is running.
      required:
        - id
        - agent_id
        - version_id
        - status
        - is_pinned
        - is_live
        - created_at
        - updated_at
  securitySchemes:
    APIKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Cartesia API key (`sk_car_...`). Get one at
        [play.cartesia.ai/keys](https://play.cartesia.ai/keys).

````